<?php

// login handling package
// offers an abstract class which handles login stuff
// - dde --

require_once('inputpage.class.php');
require_once('mysession.class.php');

// superclass for login check class
// each page should create an own instance of this class and check the login with checkLogin
// $session, $userCookie and $passwordCookie are shared over all pages
abstract class Login {
    public $user;
    public $password;
    public $sessionexist = false;
    function Login(mySession &$session, innoCookie &$userCookie, innoCookie &$passwordCookie) {
        $this->user = $userCookie->get();
        $this->password = $passwordCookie->get();
        if($session->value("loggedin") === true) {
            $this->sessionexist = true;
        }
    }
    
    // function handles db query to check user and password out of cookie
    abstract function checkLogin(InputPage &$page); 
}

?>